<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Настройки E-mail')."";
ECHO "</div>"; 


IF (POST('ok')){
  
  $email_adm = CLEARSPECIALCHARS(ADSL(POST('email_adm')));
  $email = CLEARSPECIALCHARS(ADSL(POST('email')));
  
  IF (!PREG_MATCH("/^(?:[a-z0-9]+(?:[-_.]?[a-z0-9]+)?@[a-z0-9_.-]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})$/i", $email) || !PREG_MATCH("/^(?:[a-z0-9]+(?:[-_.]?[a-z0-9]+)?@[a-z0-9_.-]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})$/i", $email_adm)) {
    
    ERROR('Проверьте правильность адреса', 'session');
    REDIRECT('?path=system&section=email');
  
  }
  
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'EMAIL_ADM', $email_adm);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'EMAIL', $email);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=system&section=email');
  
}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

HTML::INPUT('email', NULL, 'E-mail адрес сайта:', NULL, TEXT_ABSOLUTE(CONFIG('EMAIL')), 'form-control-100', 'text');
HTML::INPUT('email_adm', NULL, 'E-mail адрес администрации:', NULL, TEXT_ABSOLUTE(CONFIG('EMAIL_ADM')), 'form-control-100', 'text');

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

?>